[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#387446: glibc: Please compile for (/usr)/lib64 on amd64 as per FHS

On Thu, Sep 14, 2006 at 01:28:24PM -0700, Steve Langasek wrote:
> severity 387446 normal
> thanks
> On Thu, Sep 14, 2006 at 02:05:01PM +0200, Goswin von Brederlow wrote:
> > I set this to serious because it sort of violates a MUST directive in the
> > FHS:

Your changes also violate the FHS, as the system libraries should be in

> This is a known deviation from the FHS on amd64, and not one that is
> considered release-critical for etch.

There is currently no way to do a plain amd64 distribution without
violating the FHS. So I don't really want to make changes that probably
have side effects just for violating the FHS another way.

My opinion is that the FHS should be changed. Unfortunately nobody seems
to read the FHS mailing list...

> That probably means that a change for this would not be accepted into etch,
> since fiddling library paths may have unexpected side-effects and glibc is
> already frozen.


  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net

Reply to: